GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Getting Started
Maker and Taker Incentives
    Market Maker ProgramMaker Rebate ProgramLiquidity Rewards ProgramTaker Rewards Program
WebSocket
    IntroductionAuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance UpdatesPosition UpdatesContract Status
    Playground
      OverviewconninfopingtimeSUBSCRIBEUNSUBSCRIBELIST_SUBSCRIPTIONSdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
REST APIs
    Combos
    Events
    Terms
    Order Management
      Place OrderCancel OrderGet Active OrdersGet Order History
    Positions
    Rewards
Combo Contracts
    Overview
Tickers
    OverviewCryptoSportsCommoditiesWeather
Schemas

Cancel Order

REST APIsPrediction MarketsOrder ManagementCancel Order

Cancel Order

POSThttps://api.gemini.com/v1/prediction-markets/order/cancel

Cancel an existing prediction market order. Use WebSocket for live quote cancellation; use this REST endpoint for one-off server workflows or recovery tooling.

POSTv1/prediction-markets/order/cancel
curl --request POST \
  --url https://api.gemini.com/v1/prediction-markets/order/cancel \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '{"orderId":12345678}'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

orderIdinteger (int64)·required
The order ID to cancelExample: 12345678

Responses

Order cancelled successfully

resultstring
Example: ok
messagestring
Example: Order 12345678 cancelled successfully
PreviousPlace OrderNextGet Active Orders
Last modified on June 17, 2026